Description

A small quirk of the original Doom2.exe that Doomsday doesn't replicate has come to my attention.

It would appear that in Doom2.exe, in normal play (i.e. the player hasn't used the level warp cheat), that a secret exit trigger type on
Map32 will restart Map32. In Dday, a secret exit trigger takes the player back to Map16.

In Doom2.exe, if the player has used the level warp cheat to reach Map32, a secret exit trigger type on Map32 will take the player
back to the last level they entered without cheating (i.e. if the player completes Map01 and then uses the level warp cheat on Map02
to take them to Map32, then a secret exit trigger on Map32 will take them to Map02).

Here is a pwad which uses a secret exit trigger to restart Map32, if the player crosses it. The trigger (line186) is just up the stairs with
the Shotgun in front of them, right at the start of the map.

http://www.doomworld.com/idgames/?id=8131

Note that the map heavily uses a rendering hack that Dday doesn’t support at tall, to the point that it actually blocks access to some
areas of the map in Dday.

Labels: Gameplay

History

#1 - 2013-10-22 19:45 - skyjake
- Tags set to Doom

- Category set to Vanilla emulation

#2 - 2013-12-22 04:22 - danij

Am | correct to conclude that the PWAD mentioned in the initial report is actually irrelevant to the issue in question?

#3 - 2013-12-22 11:01 - vermil

| believe that Vanilla Doom2 has no understanding of what to do with a secret exit trigger on Map32 and thus in a case of undefined behavior, it takes
the player to the last level they didn't use the level warp cheat to enter.

The above mentioned Pwad takes advantage of this undefined behavior and places a secret exit trigger on Map32 to restart the map if the player
crosses it (the reality is that Map32 was simply the last map the player would have entered if they weren't cheating).

However, in Dday, a secret exit trigger on Map32 takes the player to Map16.
#4 - 2013-12-22 12:25 - danij
Maybe I'm being thick but how does this map specifically take advantage of that if the only way to trigger it is by warping manually? If that is the case

then surely this is true of any custom MAP32.

#5 - 2013-12-22 18:53 - vermil

You've got it the wrong way around. Warping manually messes it up.

#6 - 2017-04-03 15:01 - skyjake

- Target version set to Modding

#7 - 2017-04-03 18:34 - skyjake

- Target version changed from Modding to Vanilla / Gameplay
